<?php
/**
 * The template for displaying Pages
 *
 * @package WordPress
 * @subpackage Apricot
 * @since Apricot 1.0
 */
?>


<?php get_header(); ?>

<div id="content" class="row">

	<div class='<?php echo get_theme_mod('apricot_sidebar_page',0)==true ? 'large-9' : 'large-12'; ?> column list-posts'>
		<?php
		if ( have_posts() )
		{
			while ( have_posts() ) : the_post(); ?>

			<article class='card'>
				<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( ), 'large' );
				if (isset($image[0]))
				{
					echo "<img class='general-image' src='$image[0]'/>";
				}
				?>
				<div class='content-cover'>
					<h2 class='post-title'><?php the_title(); ?></h2>
					<div class='dividers'></div>
					<div class='article-content'><?php the_content('continue reading'); ?></div>
				</div>
			</article>

			<?php
			endwhile;
		}
		?>
		<div id='comments-cover'>
		<?php comments_template(); ?>
	</div>	
	</div>


	<?php 
	if (get_theme_mod('apricot_sidebar_page',0))
	{
		?>
		<div class='large-3 column sidebar1-cover'>
			<?php get_sidebar(); ?>
		</div>	
		<?php
	}
	?>

</div>

<?php get_footer(); ?>