<?php
/**
 * The template for displaying Search page
 *
 * @package WordPress
 * @subpackage Apricot
 * @since Apricot 1.0
 */
?>


<?php get_header(); ?>
<?php
	global $wp_query;
	$total_results = $wp_query->found_posts;
?>

<div id="content" class="row">

	<div class='<?php echo get_theme_mod('apricot_sidebar_search',1)==true ? 'large-9' : 'large-12'; ?> column list-posts'>
		<div id='archive-head' class='card'>
			<h2><span><?php echo $total_results.' '; _e('search results for','apricot'); ?></span>"<?php echo $_GET['s']; ?>"</h2>
		</div>

		<?php
		if ( have_posts() )
		{
			if ($theme_columns=='two')
			{
				echo "<div class='row block-cover'><div class='block-one large-6 medium-6 column'>";
			}
			$one = '';
			$two = '';
			$i = 0;
			while ( have_posts() ) : the_post(); ?>
			<?php
			$i++;
			if ($i % 2 == 0 && $theme_columns=='two')
			{
				$two.= load_template_part('content');
			}
			else
			{
				$one.= load_template_part('content');
			}
			?>
			<?php
			endwhile;
			if ($theme_columns=='two')
			{
				echo "$one</div><div class='block-two large-6 medium-6 column'>$two</div></div>";
			}
			else
			{
				echo $one;
			}
		}
		else {
			?>

			<div class='not-found'>

				<icon class='icon-emo-unhappy'></icon>

				<h2><?php _e('Sorry, nothing','apricot'); ?></h2>

				<br>

			</div>

			<?php }  ?>

			<?php the_posts_pagination( array(
				'prev_text'          => __( 'Previous', 'apricot' ),
				'next_text'          => __( 'Next', 'apricot' ),
				'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( '', 'apricot' ) . ' </span>',
				) ); ?>
			</div>

			<?php 
			if (get_theme_mod('apricot_sidebar_search',1))
			{
				?>
				<div class='large-3 column sidebar1-cover'>
				<?php get_sidebar(); ?>
				</div>	
				<?php
			}
			?>

		</div>

		<?php get_footer(); ?>